/* -*- C++ -*- */
/****************************************************************
 *                                                              *
 *  Project name:      Biped Locomotion                         *
 *                                                              *
 *  Created by:  Yariv Bachar (Y.Bachar@sms.ed.ac.uk)           *
 ****************************************************************
 * $Id: biped_matrix_io.hpp,v 1.5 2004/08/06 18:02:43 s0343981 Exp $
 ****************************************************************/
/**
 * \file: biped_matrix_io.hpp
 * \brief classes for matrix (and vectors) input-output and visualizations.
 */

#ifndef __BIPED_MATRIX_IO_HPP__
#define __BIPED_MATRIX_IO_HPP__

#include <string>
#include <vector>

using std::string;
using std::vector;

class Matrix;

// =============================================================================
//  Class: MatrixFileIO                                                        
/// \brief Read/Write matrix data from/to files.
// =============================================================================
class MatrixFileIO {
public:
	MatrixFileIO(const string & filename) : elementNum_(0) , filename_(filename) { }

	void write(const vector< Matrix > & data);
	void write(const vector< Matrix > & data, const vector< string > & title);
	void read(vector< Matrix > & data, vector< string > & title);

private:
	uint elementNum_;			//!< No. of elements to read or write.
	string filename_;			//!< File name to read/write.
};

#endif	// __BIPED_MATRIX_IO_HPP__
