/* -*- c++ -*- */
/****************************************************************
 *                                                              *
 *  Project name:      Biped Locomotion                         *
 *                                                              *
 *  Created by:  Yariv Bachar (Y.Bachar@sms.ed.ac.uk)           *
 ****************************************************************
 * $Id: snapshot_interval.cpp,v 1.1 2004/08/29 11:09:48 s0343981 Exp $
 ****************************************************************/
/**
 * \file snapshot_interval.cpp 
 * \brief A simple program to test pseudo-inverse calculation.
 */

// C++ includes:
#include <iostream>
#include <sstream>
#include <iomanip>
#include <string>
#include <vector>
// BIPED includes:
#include <biped_exception.hpp>
#include <biped_logging.hpp>
#include <biped_util.hpp>

#define SNAPSHOT_INTERVAL ((float) 0.512)
using std::cout;
using std::endl;
using std::string;

// -----------------------------------------------------------------------------
//  Function: main
/// \brief The main program.
// -----------------------------------------------------------------------------
int main() 
{
	TRY(main);
	float currTime = 0;
	const uint iterNum = 16 * 30;
	const double w = M_PI / (SNAPSHOT_INTERVAL);
	const double f = 0.5 * M_PI;
	
	for (uint i = 0; i < iterNum; i++) {
		float tmp = sin(currTime * w + f);
		cout << "curr time = " << currTime << "; tmp = " << tmp << endl;
		currTime += 0.032;
	}
	CATCH_FINAL;
	return 0;
}
