/* -*- C++ -*- */
/****************************************************************
 *                                                              *
 *   Project name:      Biped Locomotion                        *
 *                                                              *
 *   Created by:  Yariv Bachar (Y.Bachar@sms.ed.ac.uk)          *
 ****************************************************************
 * $Id: hoap2_physics.hpp,v 1.5 2004/08/06 18:03:33 s0343981 Exp $
 ****************************************************************/
/**
 * \file: hoap2_physics.hpp
 * \brief ODE and physics related declarations.
 * Description: This customized physics for hoap2 world is a workaround
 * to allow the hoap-2 robot to access dynamics parameters such as:
 * mass, angular velocity, position, inertia tensors etc.
 */

#ifndef __HOAP2_PHYSICS_HPP__
#define __HOAP2_PHYSICS_HPP__

// Webots hoap-2 special DEFs:
#define ROBOT_DEF        "Hoap2_0" // for battery and body
#define FLOOR_DEF        "TATAMI" // for floor definition
#define LEFT_SOLE_DEF    "left_ankle_2_0"
#define RIGHT_SOLE_DEF   "right_ankle_2_0"

#endif	// __HOAP2_PHYSICS_HPP__
