package MotionTool;

/**
 * Contains all the Global Variable definitions used by all motion Tool classes
 * Date: 02.06.2004
 * Time: 13:06:56
 *
 */
public class GlobalDefinitions {

    //Number of Servos
    public static final int nbrJoints = 25;

    public static String[] servosNames = 
	{ "body_joint_1", "lleg_joint_1", "lleg_joint_3", "lleg_joint_2", 
	  "lleg_joint_4", "lleg_joint_5", "lleg_joint_6", "rleg_joint_1", 
	  "rleg_joint_3", "rleg_joint_2", "rleg_joint_4", "rleg_joint_5", 
	  "rleg_joint_6", "larm_joint_1", "larm_joint_2", "larm_joint_3", 
	  "larm_joint_4", "larm_joint_5", "rarm_joint_1", "rarm_joint_2", 
	  "rarm_joint_3", "rarm_joint_4", "rarm_joint_5", "head_joint_2", 
	  "head_joint_1" };

    // Color Definitions
    public static final int colorBords = 0xff0e0000;
    public static final int colorNothing = 0xfffffffe;

    // 22 colors for the 22 Servos
    public static final int colorYellow1 = 0xffbdbd55;
    public static final int colorYellow2 = 0xffbdbd56; 
    public static final int colorRed1 = 0xffff0000;
    public static final int colorRed2 = 0xffff0001;
    public static final int colorRed3 = 0xffff0002;
    public static final int colorBlue1 = 0xff0000ff;
    public static final int colorBlue2 = 0xff0001ff;
    public static final int colorBlue3 = 0xff0002ff;
    public static final int colorSky1 = 0xff00ffff;
    public static final int colorSky2 = 0xff01ffff;
    public static final int colorGreenBrillant = 0xff00ff00;
    public static final int colorGreenMat = 0xff11cc88;
    public static final int colorGrey = 0xffcccccc;
    public static final int colorGrey2 = 0xffcccbcc;
    public static final int colorBlack1 = 0xff000000;
    public static final int colorBlack2 = 0xff000001;
    public static final int colorBlack3 = 0xff000002;
    public static final int colorBlack4 = 0xff000003;
    public static final int colorBlack5 = 0xff000004;
    public static final int colorBlack6 = 0xff000005;
    public static final int colorBlack7 = 0xff000006;
    public static final int colorPurple = 0xffff00ff;
    public static final int colorOrange = 0xffccaa00;

    //The array containing the colors
    public static int[] servoColors = 
	{ colorBords, colorYellow1, colorYellow2, colorRed1, colorRed2, colorRed3,
	  colorBlue1, colorBlue2, colorBlue3, colorSky1, colorSky2, 
	  colorGreenBrillant, colorGreenMat, colorGrey, colorGrey2, colorBlack1, 
	  colorBlack2, colorBlack3, colorBlack4, colorBlack5, colorBlack6, colorBlack7, 
	  colorPurple, colorOrange, colorBlack7, colorBlack7, colorBlack7 };

    //The biggest Tresholds for servos
    public static float maximalPossibleServoValue = 3.14f;

    //Servo Thresholds
    public static float servo0MinValue = -0.05236f;
    public static float servo0MaxValue = 1.5708f;

    public static float servo1MinValue = -0.541052f;
    public static float servo1MaxValue = 1.58825f;

    public static float servo2MinValue = -1.43117f;
    public static float servo2MaxValue = 1.23918f;

    public static float servo3MinValue = -0.36652f;
    public static float servo3MaxValue = 0.54102f;

    public static float servo4MinValue = -0.017453f;
    public static float servo4MaxValue = 2.26893f;

    public static float servo5MinValue = -1.06465f;
    public static float servo5MaxValue = 1.06465f; 

    public static float servo6MinValue = -0.43633f;
    public static float servo6MaxValue = 0.43633f;

    public static float servo7MinValue = -1.58825f;
    public static float servo7MaxValue = 0.541052f;

    public static float servo8MinValue = -1.43117f;
    public static float servo8MaxValue = 1.23918f;

    public static float servo9MinValue = -0.54102f;
    public static float servo9MaxValue = 0.36652f;

    public static float servo10MinValue = -0.017453f;
    public static float servo10MaxValue = 2.26893f;

    public static float servo11MinValue = -1.06465f;
    public static float servo11MaxValue = 1.06465f;

    public static float servo12MinValue = -0.43633f;
    public static float servo12MaxValue = 0.43633f;

    public static float servo13MinValue = -1.5882f; 
    public static float servo13MaxValue = 2.6354f;

    public static float servo14MinValue = -0.0175f;
    public static float servo14MaxValue = 1.6755f;

    public static float servo15MinValue = -1.5882f;
    public static float servo15MaxValue = 1.5882f;

    public static float servo16MinValue = -2.0071f;
    public static float servo16MaxValue = 0.01745f;

    public static float servo17MinValue = -1.0472f;
    public static float servo17MaxValue = 1.0472f;

    public static float servo18MinValue = -1.5882f; 
    public static float servo18MaxValue = 2.6354f;

    public static float servo19MinValue = -1.6755f;
    public static float servo19MaxValue = 0.0175f;

    public static float servo20MinValue = -1.5882f;
    public static float servo20MaxValue = 1.5882f;

    public static float servo21MinValue = -2.0071f;
    public static float servo21MaxValue = 0.01745f;

    public static float servo22MinValue = -1.0472f;
    public static float servo22MaxValue = 1.0472f;

    public static float servo23MinValue = -1.047f;
    public static float servo23MaxValue = 1.047f;

    public static float servo24MinValue = -0.26f;
    public static float servo24MaxValue =  1.047f;

    public static float[] servoMaxValue = 
	{ servo0MaxValue, servo1MaxValue, servo2MaxValue, servo3MaxValue, 
	  servo4MaxValue, servo5MaxValue, servo6MaxValue, servo7MaxValue, 
	  servo8MaxValue, servo9MaxValue, servo10MaxValue, servo11MaxValue, 
	  servo12MaxValue, servo13MaxValue, servo14MaxValue, servo15MaxValue, 
	  servo16MaxValue, servo17MaxValue, servo18MaxValue, servo19MaxValue, 
	  servo20MaxValue, servo21MaxValue, servo22MaxValue, servo23MaxValue, 
	  servo24MaxValue };

    public static float[] servoMinValue = 
	{ servo0MinValue, servo1MinValue, servo2MinValue, servo3MinValue, 
	  servo4MinValue, servo5MinValue, servo6MinValue, servo7MinValue, 
	  servo8MinValue, servo9MinValue, servo10MinValue, servo11MinValue, 
	  servo12MinValue, servo13MinValue, servo14MinValue, servo15MinValue, 
	  servo16MinValue, servo17MinValue, servo18MinValue, servo19MinValue, 
	  servo20MinValue, servo21MinValue, servo22MinValue, servo23MinValue, 
	  servo24MinValue };

}
