package MotionTool.Interface;

import MotionTool.GlobalDefinitions;

import javax.swing.*;
import java.util.Vector;
import java.util.Iterator;
import java.awt.*;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

/**
 * A vector containing buttons
 */

public class ButtonVector extends Vector {

    Vector buttonVec;
    MouseAdapter eventHandler;

    public ButtonVector(MouseAdapter eventHandler){
        this.eventHandler= eventHandler;
        buttonVec = new Vector();
    }

    public JToggleButton buttonAt(int pos) {
        return ((JToggleButton) buttonVec.elementAt(pos));
    }

    public void addButton(String name, Insets insets, Rectangle bounds, boolean selected) {
        JToggleButton but = new JToggleButton();
        but.setFont(new java.awt.Font("Dialog", 1, 11));
        but.setMargin(insets);
        but.setSelected(selected);
        but.setText(name);
        but.setBounds(bounds);
        but.addMouseListener(eventHandler);
        buttonVec.add(but);
    }

}
