package MotionTool;

import java.util.Vector;
import java.util.Enumeration;

public class Sequence {

    //Sequence Name
    public String sequenceName = "";
    //The motion compsing the Sequence
    Vector motions = new Vector(20, 10); //Vector of MotionsID
    //The parameters of corresponding Motions
    Vector motionsParameters = new Vector(20, 10);
    int actualMotion = 0;

    //Default values of the Sequence
    /*int loop = 1;
    boolean reverse = false;
    boolean inversed = false;
    int AIMessage = 0;
    */

    //The Parameters of a motion ( Each motion can have assoicated parameters if diffrent from default parameters)
    public class MotionParameters {

        int motionID;
        public boolean reverse = false;
        public boolean inversed = false;
        public int loop = 1;
        public int aiMessage;

        //Constructor
        public MotionParameters(int ID, int loop, boolean rev, boolean inv, int AIMessage) {

            motionID = ID;
            reverse = rev;
            inversed = inv;
            this.loop = loop;
            this.aiMessage = AIMessage;
        }
    }//End MotionParameters

    //Constuctor
    public Sequence() {
    }

    //Add a motion to the Sequence without parameters
    public int addMotion(int motionID) {
        motions.add(Integer.getInteger(Integer.toString(motionID)));
        return motions.size();
    }

    //Add a motion to the Sequence with parameters
    public int addMotion(int MotionNumber, int MotionLoop, boolean MotionReverse, boolean MotionInversed, int MotionAIMessage) {

        motions.add(Integer.valueOf(Integer.toString(MotionNumber)));
        MotionParameters para = new MotionParameters(MotionNumber, MotionLoop, MotionReverse, MotionInversed, MotionAIMessage);
        motionsParameters.add(para);
        return motions.size();
    }

    public String toString(){

        String result = "Sequence '" + sequenceName + "' has Motions Id: ";
        Enumeration enumMotions = motions.elements();
        while(enumMotions.hasMoreElements()){
            result += (Integer)enumMotions.nextElement() + ", ";
        }
        return result;
    }
}