package MotionTool;

import java.util.Vector;
import java.util.Enumeration;
import java.util.Iterator;

/**
 * Created by IntelliJ IDEA.
 * User: joseph
 * Date: 02.06.2004
 * Time: 13:37:58
 * To change this template use Options | File Templates.
 */


//All the Keyframes for a single Servo

public class ServoKeyFrames {

    public int servoId;
    public int numberOfFrames = 0;
    public Vector keyFrames = new Vector(10, 5); //vector of KeyFrames

    public ServoKeyFrames(int servoId) {
        this.servoId = servoId;
    }

    //Constructor
    public ServoKeyFrames(int servoId, KeyFrame frame) {
        this.servoId = servoId;
        keyFrames.add(frame);
    }

//Constructor
    public ServoKeyFrames(int servoId, int frameNumber, float servoValue) {
        this.servoId = servoId;
        keyFrames.add(new KeyFrame(frameNumber, servoValue));
    }

     //Adds a KeyFrame to the end of the vector
     public void appendKeyFrame(int frameNumber, float servoV){
        keyFrames.add(new KeyFrame(frameNumber, servoV));
     }

    //Adds a KeyFrame at the right position in the vector
    public void addKeyFrame(int frameNumber, float servoV){

        Iterator it = keyFrames.iterator();
        int pos = 0;
        while (it.hasNext()){
            if (((KeyFrame)it.next()).frameNumber > frameNumber) break;
            pos++;
        }
        keyFrames.add(pos,new KeyFrame(frameNumber, servoV));
    }

    //Calculates the total number of Frames for one servo, stores it and returns the number
    public int upDateNumberOfFrames() {
        Enumeration enumKeyFrames = keyFrames.elements();
        numberOfFrames = 0;
        while (enumKeyFrames.hasMoreElements()) {
            int actualFrameNumber = ((KeyFrame) enumKeyFrames.nextElement()).frameNumber;
            numberOfFrames += actualFrameNumber;
        }
        return numberOfFrames;
    }

    public String toString(){
        String result;
        result = "ServoId: " + servoId + "\n";
        Iterator it = keyFrames.iterator();
        while (it.hasNext()){
            KeyFrame temp = (KeyFrame)it.next();
            result += "FrameNumber = " + temp.frameNumber + "  Value = " + temp.servoValue + "\n";
        }
        return result;
    }

}
