package MotionTool;

import com.cyberbotics.webots.Controller;

import java.io.*;
import java.util.Iterator;
import java.util.Vector;

/**
 * Created by IntelliJ IDEA.
 * User: joseph
 * Date: 06.06.2004
 * Time: 23:02:38
 * To change this template use Options | File Templates.
 */
public class XMLFileWriter {

    public class MyFileWriter extends FileWriter {

        public MyFileWriter(String filename, boolean append) throws IOException {
            super(filename, append);
        }

        public void write(String text) throws IOException {
            super.write(text);
            System.out.println(text);
        }
    }


    public int writeToFile(Vector motions, String fileName) {

        /* boolean fileExists = false;

         try{
             FileReader reader = new FileReader(fileName);

         }catch (FileNotFoundException e){
          */

        System.out.println("");
        System.out.println("");

        try {


            MyFileWriter file = new MyFileWriter(fileName, false);
            file.write("<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n");
            file.write("<MotionTool xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:noNamespaceSchemaLocation=\"./MotionTool.xsl\">\n\n");
            file.write("    <MotionDef>\n\n");
            System.out.println("    <MotionDef>");
            Iterator itMot = motions.iterator();
            while (itMot.hasNext()) {
                Motion mot = (Motion) itMot.next();

                //The MotionTag
                file.write("        <Motion name=\"" + mot.motionName + "\">\n");

                Iterator it = mot.motionDefinition.iterator();

                while (it.hasNext()) {

                    ServoKeyFrames servoKeyFrame = (ServoKeyFrames) it.next();
                    //The servo Name
                    String servoName = GlobalDefinitions.servosNames[servoKeyFrame.servoId];
                    file.write("            <servo name=\"" + servoName + "\">\n");
                    //The servo KeyFrames
                    Iterator itFrames = servoKeyFrame.keyFrames.iterator();
                    String frameNumbers = "      <frames>";
                    String positions = "     <positions>";
                    while (itFrames.hasNext()) {
                        KeyFrame frame = (KeyFrame) itFrames.next();
                        positions += " " + Float.toString(frame.servoValue);
                        frameNumbers += " " + Integer.toString(frame.frameNumber);
                    }
                    positions += "</positions>\n";
                    frameNumbers += "</frames>\n";
                    file.write("            " + positions);
                    file.write("            " + frameNumbers);
                    file.write("            </servo>\n");
                }
                file.write("        </Motion>\n\n");
            }
            file.write("    </MotionDef>\n\n");
            file.write("</MotionTool>\n");
            file.close();

        } catch (IOException e) {
            System.out.println("Caught access file IOException: " + e.toString());
            return -1;
        }
        System.out.println("");
        System.out.println("");
        System.out.println("File Saved Succesfully");
        System.out.println("");
        System.out.println("");


        return 1;
    }
}
